
Name:          simplevalidation
Version:       0.4
Release:       %mkrel 1
Summary:       Simple Validation API
Group:         Development/Java
License:       CDDL-1.0, GPL-2.0, GNU-Classpath
Url:           http://kenai.com/projects/simplevalidation
Source0:       http://kenai.com/projects/simplevalidation/downloads/download/validation-src.zip
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: junit4
BuildRequires: java-devel
BuildRequires: jpackage-utils
Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch


%description
This is a simple library for quickly adding validation code to Swing user-interfaces.
It handles validating user input when the user changes a component's value,
showing error messages and decorating components to indicate which component is
the source of the problem. It contains a large number of built-in validators
to handle most common situations, such as validating numbers,
email addresses, urls and so forth.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -c simplevalidation-%{version}

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

for c in $(find . -name "*.class"); do
  rm -rf $c
done

%build
(
cd ValidationAPI
export CLASSPATH=$(build-classpath junit4 ant/ant-junit)
ant \
  -Dplatforms.JDK_1.5.home=%{_jvmdir}/java jar javadoc
#    [junit] Testsuite: org.netbeans.validation.api.MergeTest
#    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0 sec
#    [junit] Testsuite: org.netbeans.validation.api.ui.ValidationUITest
#    [junit] Tests run: 1, Failures: 0, Errors: 1, Time elapsed: 0 sec
#  -Dlibs.junit_4.classpath=$(build-classpath junit4 ant/ant-junit)
)

#(
#  cd BasicDemo
#  export CLASSPATH=$(build-classpath junit4 ant/ant-junit)
#  ant -Dplatforms.JDK_1.5.home=%{_jvmdir}/java-gcj jar javadoc
#)

# Task required to sign JAR file is missing, probably the library 'JWS Ant Tasks' is missing either from shared folder or from IDE installation. JAR files will not be signed. http://ant-jnlp-war.sourceforge.net/

#(
#  cd ValidationDemo
#  export CLASSPATH=$(build-classpath junit4 ant/ant-junit)
#  ant -Dplatforms.JDK_1.5.home=%{_jvmdir}/java-gcj
#)


%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_javadir}
install -pm 644 ValidationAPI/dist/ValidationAPI.jar %{buildroot}%{_javadir}/
ln -sf ValidationAPI.jar  %{buildroot}%{_javadir}/simplevalidation.jar
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr ValidationAPI/dist/javadoc/*  %{buildroot}%{_javadocdir}/%{name}

#mkdir -p %{buildroot}%{_javadocdir}/%{name}BasicDemo
#install -pm 644 BasicDemo/dist/BasicDemo.jar %{buildroot}%{_javadir}/%{name}-BasicDemo,jar
#cp -pr BasicDemo/dist/javadoc/*  %{buildroot}%{_javadocdir}/%{name}-BasicDemo

%files
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Sat Jul 30 2011 dmorgan <dmorgan> 0.4-1.mga2
+ Revision: 130796
- Fix to build with openjdk
- Clean spec file

  + gil <gil>
    - imported package simplevalidation

